# Uses of Interface
org.jfree.chart3d.legend.LegendBuilder

Packages that use LegendBuilder
Package
Description
org.jfree.chart3d
Core classes, including `Chart3D`, `Chart3DPanel` and `Chart3DFactory`.
org.jfree.chart3d.legend
Classes related to chart legends.

## Uses of LegendBuilder in org.jfree.chart3d

Methods in org.jfree.chart3d that return LegendBuilder
Modifier and Type
Method
Description
`LegendBuilder`
Chart3D.`getLegendBuilder()`
Returns the legend builder.
Methods in org.jfree.chart3d with parameters of type LegendBuilder
Modifier and Type
Method
Description
`void`
Chart3D.`setLegendBuilder(LegendBuilder legendBuilder)`
Sets the legend builder and sends a change event to all registered listeners.

## Uses of LegendBuilder in org.jfree.chart3d.legend

Classes in org.jfree.chart3d.legend that implement LegendBuilder
Modifier and Type
Class
Description
`class`
`ColorScaleLegendBuilder`
A legend builder that creates a legend representing a `ColorScale`.
`final class`
`StandardLegendBuilder`
The standard legend builder, which creates a simple legend with a flow layout and optional header and footer text.